Package ghidra.app.util.bin.format.dwarf.line

# Class StatementProgramInstructions

java.lang.Object
ghidra.app.util.bin.format.dwarf.line.StatementProgramInstructions

public final class StatementProgramInstructions extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DW_LNE_define_file`
  `static final int`
  `DW_LNE_end_sequence`
  `static final int`
  `DW_LNE_set_address`
  `static final int`
  `DW_LNS_advance_line`
  `static final int`
  `DW_LNS_advance_pc`
  `static final int`
  `DW_LNS_const_add_pc`
  `static final int`
  `DW_LNS_copy`
  `static final int`
  `DW_LNS_fixed_advanced_pc`
  `static final int`
  `DW_LNS_negate_statement`
  `static final int`
  `DW_LNS_set_basic_block`
  `static final int`
  `DW_LNS_set_column`
  `static final int`
  `DW_LNS_set_epilog_begin`
  `static final int`
  `DW_LNS_set_file`
  `static final int`
  `DW_LNS_set_isa`
  `static final int`
  `DW_LNS_set_prologue_end`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatementProgramInstructions(BinaryReader reader, StateMachine machine, StatementProgramPrologue prologue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `void`
  `execute()`
  Read the next instruction and executes it on the given state machine.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DW_LNS_copy

    public static final int DW_LNS_copy
    See Also:
      - Constant Field Values

  - ### DW_LNS_advance_pc

    public static final int DW_LNS_advance_pc
    See Also:
      - Constant Field Values

  - ### DW_LNS_advance_line

    public static final int DW_LNS_advance_line
    See Also:
      - Constant Field Values

  - ### DW_LNS_set_file

    public static final int DW_LNS_set_file
    See Also:
      - Constant Field Values

  - ### DW_LNS_set_column

    public static final int DW_LNS_set_column
    See Also:
      - Constant Field Values

  - ### DW_LNS_negate_statement

    public static final int DW_LNS_negate_statement
    See Also:
      - Constant Field Values

  - ### DW_LNS_set_basic_block

    public static final int DW_LNS_set_basic_block
    See Also:
      - Constant Field Values

  - ### DW_LNS_const_add_pc

    public static final int DW_LNS_const_add_pc
    See Also:
      - Constant Field Values

  - ### DW_LNS_fixed_advanced_pc

    public static final int DW_LNS_fixed_advanced_pc
    See Also:
      - Constant Field Values

  - ### DW_LNS_set_prologue_end

    public static final int DW_LNS_set_prologue_end
    See Also:
      - Constant Field Values

  - ### DW_LNS_set_epilog_begin

    public static final int DW_LNS_set_epilog_begin
    See Also:
      - Constant Field Values

  - ### DW_LNS_set_isa

    public static final int DW_LNS_set_isa
    See Also:
      - Constant Field Values

  - ### DW_LNE_end_sequence

    public static final int DW_LNE_end_sequence
    See Also:
      - Constant Field Values

  - ### DW_LNE_set_address

    public static final int DW_LNE_set_address
    See Also:
      - Constant Field Values

  - ### DW_LNE_define_file

    public static final int DW_LNE_define_file
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StatementProgramInstructions

    public StatementProgramInstructions(BinaryReader reader, StateMachine machine, StatementProgramPrologue prologue)

- ## Method Details

  - ### dispose

    public void dispose()

  - ### execute

    public void execute() throws IOException
    Read the next instruction and executes it on the given state machine.
    Throws:
      `IOException` - if an i/o error occurs